### Method

# EDataBook BookSqlite get_contact

since: 3.12

#### Declaration [src]

    gboolean
    e_book_sqlite_get_contact (
      EBookSqlite* ebsql,
      const gchar* uid,
      gboolean meta_contact,
      EContact** ret_contact,
      GError** error
    )

#### Description [src]

Fetch the `EContact` specified by `uid` in `ebsql`.

If `meta_contact` is specified, then a shallow `EContact` will be created holding only the `E_CONTACT_UID` and `E_CONTACT_REV` fields.

Available since: 3.12

#### Parameters

`uid`

  Type: `const gchar*`

  The uid of the contact to fetch.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`meta_contact`

  Type: `gboolean`

  Whether an entire contact is desired, or only the metadata.

`ret_contact`

  Type: `EContact`

  Return location to store the fetched contact.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, otherwise `FALSE` is returned and `error` is set appropriately.